﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class CamCollisions : MonoBehaviour 
{
    private Transform player;
    private List<GameObject> occludedWalls;

    void Awake()
    {
        player = GameObject.FindGameObjectWithTag("Player").transform;
        occludedWalls = new List<GameObject>();
    }


	void Start ()
    {
	
	}
	
	void Update () 
    {
        Vector3 dir = (player.position - transform.position).normalized;
        RaycastHit hit;
        Ray ray = new Ray(transform.position, dir);
        
        //Debug.DrawRay(transform.position, dir * 1000, Color.red);

        if (Physics.Raycast(ray, out hit))
        {
            //if there is a wall between cam and player hide the wall
            if (hit.collider.CompareTag("Wall"))
            {
                StartCoroutine("fadeWall", hit.collider.gameObject);
                occludedWalls.Add(hit.collider.gameObject);
            }
            else //show all previously hidden walls
            {
                foreach (GameObject go in occludedWalls)
                {
                    Color c = go.renderer.material.color;
                    c.a = 1f;
                    go.renderer.material.color = c;
                }
            }
        }
	}

    private IEnumerator fadeWall(GameObject wall)
    {
        for (float f = 1; f >= 0f; f -= 0.1f)
        {
            Color c = wall.renderer.material.color;
            c.a = f;
            wall.renderer.material.color = c;
            yield return null;
        }
    }
}
