﻿using UnityEngine;
using System.Collections;

public class CharacControls : MonoBehaviour 
{
    public float speed = 10.0f;
  
    private CharacterController cc;
    private Animator anim;

    public bool canMove;

    void Awake()
    {
        cc = GetComponent<CharacterController>();
        anim = GetComponent<Animator>();
        canMove = true;
        
    }

	void Update () 
    {
        if (canMove)
        {
            if (Input.GetButton("MoveForward"))
            {
                Quaternion myRotation = Quaternion.Euler(0, 270, 0);
                transform.rotation = myRotation;
                Vector3 myForward = transform.TransformDirection(Vector3.forward);
                cc.Move(myForward * Time.deltaTime * speed);
                anim.SetBool("isMoving", true);
            }
            else if (Input.GetButton("MoveBackward"))
            {
                Quaternion myRotation = Quaternion.Euler(0, 90, 0);
                transform.rotation = myRotation;
                Vector3 myForward = transform.TransformDirection(Vector3.forward);
                cc.Move(myForward * Time.deltaTime * speed);
                anim.SetBool("isMoving", true);
            }
            else if (Input.GetButton("MoveLeft"))
            {
                Quaternion myRotation = Quaternion.Euler(0, 180, 0);
                transform.rotation = myRotation;
                Vector3 myForward = transform.TransformDirection(Vector3.forward);
                cc.Move(myForward * Time.deltaTime * speed);
                anim.SetBool("isMoving", true);
            }
            else if (Input.GetButton("MoveRight"))
            {
                Quaternion myRotation = Quaternion.Euler(0, 0, 0);
                transform.rotation = myRotation;
                Vector3 myForward = transform.TransformDirection(Vector3.forward);
                cc.Move(myForward * Time.deltaTime * speed);
                anim.SetBool("isMoving", true);
            }
            else
            {
                anim.SetBool("isMoving", false);
            }
        }
        else
        {
            anim.SetBool("isMoving", false);
        }
	}
}
