﻿using UnityEngine;
using System.Collections;

public class Event_Aquarium : Event 
{
    private Animator animator;
    private ParticleEmitter[] emitters;
    private AudioSource[] sounds;

    void Awake()
    {
        animator = GetComponent<Animator>();
        animator.enabled = false;
        emitters = GetComponentsInChildren<ParticleEmitter>();
        for (int i = 0; i < emitters.Length; i++)
            emitters[i].emit = false;
        sounds = GetComponents<AudioSource>();
    }

    public override void Activate()
    {
        base.Activate();
        animator.enabled = true;
        for (int i = 0; i < emitters.Length; i++)
            emitters[i].emit = true;
        sounds[0].Play();
    }

    public override void Fixed()
    {
        base.Fixed();
        animator.enabled = false;
        for (int i = 0; i < emitters.Length; i++)
            emitters[i].emit = false;
        sounds[0].Stop();
    }
}
