﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class Event_Generator : Event 
{
    private Light[] lights;
    private AudioSource[] sounds;
    private ParticleEmitter[] emitters;

    void Awake()
    {
        Transform parent = GameObject.Find("lights").transform.FindChild("Dynamic_lights");
        lights = parent.GetComponentsInChildren<Light>();
        sounds = GetComponents<AudioSource>();
        emitters = GetComponentsInChildren<ParticleEmitter>();
        for (int i = 0; i < emitters.Length; i++)
            emitters[i].emit = false;
    }


    public override void  Activate()
    {
        Debug.Log("Activate LIGHTS");

        base.Activate();

        sounds[0].Play();
        for (int i = 0; i < lights.Length; i++)
            lights[i].enabled = false;

        for (int i = 0; i < emitters.Length; i++)
            emitters[i].emit = true;
    }

    public override void Fixed()
    {
        Debug.Log("Fixed LIGHTS");

        base.Fixed();
        
        sounds[1].Play();
        for (int i = 0; i < lights.Length; i++)
            lights[i].enabled = true;

        for (int i = 0; i < emitters.Length; i++)
            emitters[i].emit = false;
    }
}
