﻿using UnityEngine;
using System.Collections;

public class Event_Toilets : Event 
{
    Animator anim;
    ParticleEmitter emitter;
    AudioSource[] sounds;
    
    

    void Awake()
    {
       anim = GetComponentInChildren<Animator>();
       emitter = GetComponentInChildren<ParticleEmitter>();
       emitter.emit = false;
       sounds = GetComponents<AudioSource>();
    }

    public override void Activate()
    {
        Debug.Log("Activate TOILETS");

        base.Activate();

        anim.enabled = true;
        emitter.emit = true;
        sounds[0].Play();
    }

    public override void Fixed()
    {
        Debug.Log("Fixed TOILETS");

        base.Fixed();
        anim.SetBool("isFixed", true);
        emitter.emit = false;
        sounds[0].Stop();
        sounds[1].Play();
    }
}
