﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class PlayerInventory : MonoBehaviour 
{
    private List<Item> inventory;

    void Awake()
    {
        inventory = new List<Item>();
    }

    void Update()
    {
        //Debug
        if (Input.GetKeyUp(KeyCode.I))
        {
            foreach (Item i in inventory)
                Debug.Log(i.itemName);
        }
    }

    public void AddItem(Item item)
    {
        if (item != null && !inventory.Contains(item))
            inventory.Add(item);
    }

    public void RemoveItem(Item item)
    {
        if (item != null)
            inventory.Remove(item);
    }

   public  bool Contains(Item item)
    {
        if (item != null)
            return inventory.Contains(item);

        return false;
    }
}
